<?php
// oQey Addons
// Copyright (c) 2013 oqeysites.com
// This is an add-on for oQey Gallery
// http://wordpress.org/
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
// *****************************************************************

/*
Plugin Name: oQey Addons
Version: 0.3
Description: oQey Addon include all addons for the oQey Gallery, including watermark option and crop option.
Author: oqeysites.com
Author URI: http://oqeysites.com/
*/

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'oqeyaddons.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Please do not load this page directly. Thanks!');
	
if (!defined('OQEY_ABSPATH')) {

    define('OQEY_ABSPATH', str_replace('\\', '/', ABSPATH) ); //oqey path

}

include(dirname(__FILE__)."/oqey-addons-functions.php");
require_once(OQEY_ABSPATH . 'wp-admin/includes/plugin.php');
global $wpdb;
        
function oqey_addons_install(){
    global $wpdb;

	if ( !current_user_can('activate_plugins') ) 
		return;
        
    $wtmf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid);   
    wp_mkdir_p ($wtmf); // make the watermark folder
    
    $f  = OQEY_ABSPATH.'wp-content/plugins/oqey-add-ons/watermark.png';
    $nf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid).'watermark.png';
    
    if(!is_file($nf)){
        
        copy($f, $nf);
        
    }
    
    $perm = get_role('administrator');	
    $perm->add_cap('oQeyCropper');
    $perm->add_cap('oQeyCropperRoles');	
    $perm->add_cap('oQeyWatermark');
    $perm->add_cap('oqey-add-ons');
    
    
    $settings = array();
    $settings['oqey_addons_watermark'] = "TL";
    $settings['oqey_W_X_margin'] = 10;
    $settings['oqey_W_Y_margin'] = 10;
    
    add_option("oqey_addons_watermark_settings", json_encode($settings));
   
}

if (function_exists('register_activation_hook')){
	register_activation_hook( __FILE__, 'oqey_addons_install' );
}
//.................................................................//	
function oqey_gallery_missing(){

echo '<div class="error fade" style="background-color:#E36464;">
      <p>oQey Add-ons plugin requires latest version of oQey Gallery plugin, which wasn`t detected. Please install and activate this plugin.</p></div>';
}

function oqey_init_addons_js() {   

 if (is_plugin_active('oqey-gallery/oqeygallery.php')){
     
     if(isset($_GET['page'])){
         
         if(is_admin() && $_GET['page']=='oQeyWatermark'){
             
             wp_enqueue_script('jquery');     
             wp_register_script('oqeybrowserplus', 'http://bp.yahooapis.com/2.4.21/browserplus-min.js');
             wp_enqueue_script('oqeybrowserplus');
             wp_enqueue_script('plupload-all'); 
             //wp_enqueue_script('oqeyplupload', WP_PLUGIN_URL . '/oqey-gallery/js/plupload.full.js', array('jquery'),"", false);
             wp_register_style('oQey-admin-css', WP_PLUGIN_URL . '/oqey-gallery/css/oqeyadmin.css');
             wp_enqueue_style('oQey-admin-css');
   
         }
     }
     
 }else{     
    add_action( 'admin_notices', 'oqey_gallery_missing');    
 }
 
}  
 
if ( is_multisite() ) { 
    
    $wtmf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid);   
    wp_mkdir_p ($wtmf); // create watermark folder
    
    $settings                          = array();
    $settings['oqey_addons_watermark'] = "TL";
    $settings['oqey_W_X_margin']       = 10;
    $settings['oqey_W_Y_margin']       = 10;
    
    add_option("oqey_addons_watermark_settings", json_encode($settings));
    
    $f  = OQEY_ABSPATH.'wp-content/plugins/oqey-add-ons/watermark.png';
    $nf = OQEY_ABSPATH.'wp-content/oqey_gallery/watermark/'.oqey_AddonBlogFolder($wpdb->blogid).'watermark.png';
    
    if(!is_file($nf)){
        
        copy($f, $nf);
        
    }

}

add_action('init', 'oqey_init_addons_js');

include("addonscore.php");
?>